<?php
/**
 *
 * @package garyscookbook 2011-07-10
 * A Joomla Cookbook Component
 * for Joomla 1.5.x not for Joomla 1.6
 * @Author Gerald Berger / Ove Eriksson
 * @Testing Forummoderation Ove Erikson and others
 Copyright (C) 2007/2008/2009/2010/2011  by Gerald Berger   All Rights Reserved
 Homepage   :www.Garyscookbook.de      www.vb-dozent.net
 Version    : 3.0.16.2  for Joomla! 1.5.x
 License    :
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

class JElementRecipe extends JElement
{
	/**
	 * Element name
	 *
	 * @access	protected
	 * @var		string
	 */
	var	$_name = 'Relation';


	function fetchElement($name, $value, &$node, $control_name)
	{
		$db = &JFactory::getDBO();

		$query = 'SELECT a.id, a.imgtitle, a.catid '
		. ' FROM #__garyscookbook AS a'
		. ' INNER JOIN #__categories AS c ON a.catid = c.id'
		. ' WHERE a.published = 1'
		. ' AND c.published = 1'
		. ' ORDER BY a.catid, a.imgtitle'
		;
		$db->setQuery( $query );
		$options = $db->loadObjectList( );

		return JHTML::_('select.genericlist',  $options, ''.$control_name.'['.$name.']', 'class="inputbox"', 'id', 'imgtitle', $value, $control_name.$name );
	}
}
