<?php
/**
 * Books Model for Book Component
 * 
 * @package    Joomla.Tutorials
 * @subpackage Components
 * @link http://docs.joomla.org/Developing_a_Model-View-Controller_Component_-_Part_4
 * @license		GNU/GPL
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
echo "Models Books <br />";

jimport( 'joomla.application.component.model' );

/**
 * Book Model
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class BooksModelBooks extends JModel
{
	/**
	 * Books data array
	 *
	 * @var array
	 */
	var $_data;


	/**
	 * Returns the query
	 * @return string The query to be used to retrieve the rows from the database
	 */
	function _buildQuery()
	{
		$query = ' SELECT * '
			. ' FROM #__book '
		;

		return $query;
	}

	/**
	 * Retrieves the book data
	 * @return array Array of objects containing the data from the database
	 */
	function getData()
	{
		// Lets load the data if it doesn't already exist
		if (empty( $this->_data ))
		{
			$query = $this->_buildQuery();
			$this->_data = $this->_getList( $query );
		}
		$books=$this->_data;
		
		return $this->_data;
	}
}