<?php
/**
 * Book table class
 * 
 * @package    Joomla.Tutorials
 * @subpackage Components
 * @link http://docs.joomla.org/Developing_a_Model-View-Controller_Component_-_Part_4
 * @license		GNU/GPL
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * Book Table class
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class TableBook extends JTable
{
	/**
	 * Primary Key
	 *
	 * @var int
	 */
	var $id = null;

	/**
	 * @var string
	 */
	var $title = null;

	/**
	 * @var string
	 */
	var $author = null;

	/**
	 * @var string
	 */
	var $collection = null;

	/**
	 * @var string
	 */
	var $editor = null;

	/**
	 * @var string
	 */
	var $identifiant = null;

	/**
	 * @var string
	 */
	var $location = null;

	/**
	 * @var string
	 */
	var $published = null;

	/**
	 * Constructor
	 *
	 * @param object Database connector object
	 */
	function TableBook(& $db) {
		parent::__construct('#__book', 'id', $db);
	}
}
