<?php
/**
 * Book table class
 * 
 * @package    Joomla.Tutorials
 * @subpackage Components
 * @link http://docs.joomla.org/Developing_a_Model-View-Controller_Component_-_Part_4
 * @license		GNU/GPL
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * Book Table class
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class TableRelation extends JTable
{
	/**
	 * Primary Key
	 *
	 * @var int
	 */
	var $idr = null;

	/**
	 * @var string
	 */
	var $idb = null;
	
	/**
	 * @var string
	 */
	var $datej = null;
	
	/**
	 * Constructor
	 *
	 * @param object Database connector object
	 */
	function TableRelation(& $db) {
		parent::__construct('#__relation', 'idb', $db);
	}
}