DROP TABLE IF EXISTS `#__book`;
DROP TABLE IF EXISTS `#__relation`;
 
CREATE TABLE `#__book` (
 `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(25) NOT NULL,
  `author` varchar(25) NOT NULL,
  `collection` varchar(25) NOT NULL,
  `editor` varchar(25) NOT NULL,
  `identifiant` varchar(20) NOT NULL,
  `location` varchar(25) NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;
INSERT INTO `#__book` (`title`,`author`,`collection`,`editor`,`identifiant`,`location`,`published`) VALUES
 ('Curries','Mark Twain','Recipes of the word','Marabout','123456','library',1);
 INSERT INTO `#__book` (`title`,`author`,`collection`,`editor`,`identifiant`,`location`,`published`) VALUES
 ('Rices for all','Edgar A. Poe','Recipes of the word','Marabout','123457','library',1); 
 
CREATE TABLE IF NOT EXISTS `#__relation` (
  `idr` int(11) NOT NULL,
  `idb` int(11) NOT NULL,
  `datej` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`idr`,`idb`),
  KEY `idb` (`idb`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
