<?php
/**
 * Books View for Book Component
 * 
 * @package    Joomla.Tutorials
 * @subpackage Components
 * @link http://docs.joomla.org/Developing_a_Model-View-Controller_Component_-_Part_4
 * @license		GNU/GPL
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
echo "View Html Books <br />";


jimport( 'joomla.application.component.view' );

/**
 * Books View
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class BooksViewBooks extends JView
{
	/**
	 * Books view display method
	 * @return void
	 **/
	function display($tpl = null)
	{
		JToolBarHelper::title(   JText::_( 'Book Manager' ), 'generic.png' );
		JToolBarHelper::publishList();
		JToolBarHelper::unpublishList();		
		JToolBarHelper::deleteList();
		JToolBarHelper::editListX();
		JToolBarHelper::addNewX();

		// Get data from the model
		$book		= & $this->get( 'Data');

		$this->assignRef('book',		$book);
		
		parent::display($tpl);
	}
}