<?php
/**
 * Relation View for Book Component
 * 
 * @package    Joomla.Tutorials
 * @subpackage Components
 * @link http://docs.joomla.org/Developing_a_Model-View-Controller_Component_-_Part_4
 * @license		GNU/GPL
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
echo "View Html Relation <br />";

jimport( 'joomla.application.component.view' );

/**
 * Relation View
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class booksViewRelation extends JView
{
	/**
	 * display method of Book view
	 * @return void
	 **/
	function display($tpl = null)
	{
		//get the relation
		$relation	=& $this->get('Data');
		$isNew		= ($idb->idr < 1);

		$text = $isNew ? JText::_( 'New' ) : JText::_( 'Edit' );
		JToolBarHelper::title(   JText::_( 'Relation' ).': <small><small>[ ' . $text.' ]</small></small>' );
		JToolBarHelper::save();
		if ($isNew)  {
			JToolBarHelper::cancel();
		} else {
			// for existing items the button is renamed `close`
			JToolBarHelper::cancel( 'cancel', 'Close' );
		}

		$this->assignRef('idr',		$idr);

		parent::display($tpl);
	}
}