<?php
/**
 * Relations View for Book Component
 * 
 * @package    Joomla.Tutorials
 * @subpackage Components
 * @link http://docs.joomla.org/Developing_a_Model-View-Controller_Component_-_Part_4
 * @license		GNU/GPL
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
echo "View Html Relations <br />";

jimport( 'joomla.application.component.view' );

/**
 * Relations View
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class booksViewRelations extends JView
{
	/**
	 * Books view display method
	 * @return void
	 **/
	function display($tpl = null)
	{
		JToolBarHelper::title(   JText::_( 'Relation Manager' ), 'generic.png' );
		JToolBarHelper::deleteList();
		JToolBarHelper::addNewX();

		// Get data from the model
		$idb		= & $this->get( 'Data');

		$this->assignRef('idr',		$idr);

		parent::display($tpl);
	}
}